For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customer wish List

Add product to wishlist

post

Add product to wishlist

Header parameters
AuthorizationstringRequired
Body
productIdinteger · int32Optional
productOptionValueIdstringOptional
Responses
200

success response

application/json
wishlistProductIdintegerOptional
post/customer/add-product-to-wishlist
POST /customer/add-product-to-wishlist HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 45

"productId=1&productOptionValueId='text'"
{
  "wishlistProductId": 1,
  "product": {
    "createdBy": 1,
    "createdDate": "2026-01-01T00:00:00.000Z",
    "modifiedBy": 1,
    "modifiedDate": "2026-01-01T00:00:00.000Z",
    "productId": 1,
    "sku": "text",
    "upc": "text",
    "hsn": "text",
    "location": "text",
    "quantity": 1,
    "minimumQuantity": 1,
    "subtractStock": 1,
    "stockStatusId": 1,
    "quotationAvailable": 1,
    "image": "text",
    "imagePath": "text",
    "manufacturerId": 1,
    "shipping": 1,
    "serviceCharges": "text",
    "taxType": 1,
    "taxValue": 1,
    "price": "text",
    "priceUpdateFileLogId": 1,
    "dateAvailable": "text",
    "sortOrder": 1,
    "name": "text",
    "description": "text",
    "amount": 1,
    "keywords": "text",
    "discount": 1,
    "deleteFlag": 1,
    "isFeatured": 1,
    "todayDeals": 1,
    "condition": 1,
    "rating": "text",
    "wishListStatus": 1,
    "productSlug": "text",
    "isActive": 1,
    "width": "text",
    "height": "text",
    "length": "text",
    "weight": "text",
    "hasStock": 1,
    "isSimplified": 1,
    "owner": 1,
    "isCommon": 1,
    "skuId": 1,
    "hasTirePrice": 1,
    "outOfStockThreshold": 1,
    "notifyMinQuantity": 1,
    "minQuantityAllowedCart": 1,
    "maxQuantityAllowedCart": 1,
    "enableBackOrders": 1,
    "pincodeBasedDelivery": 1,
    "attributeKeyword": "text",
    "settedAsCommonOn": "text"
  },
  "productImage": {
    "createdBy": 1,
    "createdDate": "2026-01-01T00:00:00.000Z",
    "modifiedBy": 1,
    "modifiedDate": "2026-01-01T00:00:00.000Z",
    "productImageId": 1,
    "productId": 1,
    "image": "text",
    "containerName": "text",
    "sortOrder": 1,
    "defaultImage": 1,
    "isActive": 1
  }
}

Delete wishlist product

delete

Delete wishlist product

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: You have successfully remove from wishlist.
delete/customer/wishlist-product-delete/{id}
DELETE /customer/wishlist-product-delete/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "You have successfully remove from wishlist."
}

Wishlist product list

get

List of product wishlist

Query parameters
limitintegerOptional
offsetintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get count " or " Successfully show the wishlist Product List
get/customer/wishlist-product-list
GET /customer/wishlist-product-list HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully get count \" or \" Successfully show the wishlist Product List"
}

Last updated